﻿using CoreLibrary.Core;

namespace CoreLibrary.Events
{
    /// <summary>
    /// Classe contenant les arguments passées en paramètre lors de l'événement JouerCode.
    /// </summary>
    public class JouerCodeEventArgs : EventArgs
    {
        /// <summary>
        /// Le code joué par le joueur
        /// </summary>
        public Code Code { get; private set; }

        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="JouerCodeEventArgs"/> avec les informations spécifiées.
        /// </summary>
        /// <param name="code">Le code joué par le joueur dont c'est le tour.</param>
        public JouerCodeEventArgs(Code code)
        {
            Code = code;
        }
    }
}
