﻿namespace CoreLibrary.Events
{
    /// <summary>
    /// Classe contenant les arguments passées en paramètre lors de l'événement NouveauJoueur.
    /// </summary>
    public class NouveauJoueurEventArgs : EventArgs
    {
        /// <summary>
        /// Le nom du joueur
        /// </summary>
        public string Nom { get; private set; }

        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="NouveauJoueurEventArgs"/> avec les informations spécifiées.
        /// </summary>
        /// <param name="nom">Le nom du joueur.</param>
        public NouveauJoueurEventArgs(string nom)
        {
            Nom = nom;
        }
    }
}
